package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bopdecbo.Dbb;
import com.brilliance.isc.vo.bop.ArgmodManagerVo;
import com.brilliance.isc.vo.bop.BopdecSelectVo;
import com.brilliance.isc.vo.bop.DbbResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DbbMapper {
    int insert(Dbb record);

    int insertSelective(Dbb record);

    int updateByPrimaryKeySelective(Dbb record);

    int updateByPrimaryKey(Dbb record);

    int deleteByPrimaryKey(Dbb record);

    int deleteByIds(Collection<Object> collection);

    Dbb selectByPrimaryKey(Dbb record);

    Dbb selectByBuscode(@Param("buscode") String buscode);

    int dyncDelete(Map<String,Object> dyncMap);

    List<BopdecSelectVo> selectByCountryAndOppuser(@Param("country") String country, @Param("oppuser") String oppuser);

    List<Dbb> dyncRead(Map<String,Object> dyncMap);

    List<Dbb> selectByArgmodVo(ArgmodManagerVo argmodVo);

    /**
     * 需要导出的数据
     * @param basInrs
     * @return
     */
    List<DbbResultVo> selectByBasInrs(@Param("basInrs") List<String> basInrs);
}
